# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-carddav
Version:        0.7.0
Release:        6%{?dist}
Summary:        Python CardDAV client compatible with mutt

License:        MIT
URL:            http://lostpackets.de/pycarddav/
Source0:        http://lostpackets.de/pycarddav/downloads/pyCardDAV-%{version}.tar.gz
Source1:        python-carddav-fedora.txt
Patch0:         %{name}-remove-shebangs.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-vobject
Requires:       python-urwid
Requires:       python-requests
Requires:       python-lxml
Requires:       pyxdg
Requires:       python-dateutil

%description
Python library and front-end for syncing CardDAV


%prep
%setup -q -n pyCardDAV-%{version}
rm -rf pyCardDAV.egg-info
%patch0 -p1
cp -p %{SOURCE1} README.fedora

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc README.rst README.fedora pycard.conf.sample
%{python_sitelib}/*
%{_bindir}/pc_query
%{_bindir}/pycard-import
%{_bindir}/pycardsyncer


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 21 2015 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.7.0-2
- Fix missing Requires (BZ #1213142)

* Thu Feb 26 2015 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.7.0-1
- Bump version to 0.7.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Patrick Uiterwijk (LOCAL) <puiterwijk@redhat.com> - 0.4.1-5
- Require python-lxml

* Thu Jan 09 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.4.1-4
- Require python-requests (BZ #1047915)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.4.1-2
- Initial packaging

